KDE 4.5 PyKDE API Reference

- KDE's Python API

# WidgetGraphicsItem Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.ScreenGraphicsItem → Marble.MarbleGraphicsItem
Namespace: Marble.WidgetGraphicsItem

## Detailed Description

## Methods

| __init__ (self, Marble.MarbleGraphicsItem parent=0)
bool | eventFilter (self, QObject a0, QEvent a1)
| paint (self, Marble.GeoPainter painter, Marble.ViewportParams viewport, QString renderPos, Marble.GeoSceneLayer layer=0)
| setWidget (self, QWidget widget)
QWidget | widget (self)

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleGraphicsItem | parent=0
| ) |  |  |

bool eventFilter | ( | self, |
|  | QObject | a0,
|  | QEvent | a1
| ) |  |  |

paint | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport,
|  | QString | renderPos,
|  | Marble.GeoSceneLayer | layer=0
| ) |  |  |

Paints the item in item coordinates.

setWidget | ( | self, |
|  | QWidget | widget
| ) |  |  |

QWidget widget | ( |  | self ) |